Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225716 - Review Request: gnome-screensaver-frogs - GNOME Screensaver Slideshow of Frogs
Summary: Review Request: gnome-screensaver-frogs - GNOME Screensaver Slideshow of Frogs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:31 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-01 19:25:49 UTC
wolfy: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-01-31 18:31:24 UTC
Spec URL: http://people.redhat.com/tcallawa/gnome-screensaver-frogs/gnome-screensaver-frogs.spec
SRPM URL: http://people.redhat.com/tcallawa/gnome-screensaver-frogs/gnome-screensaver-frogs-0.1-1.fc7.src.rpm
Description: 
gnome-screensaver-frogs is an addon screen saver for GNOME Screensaver
that provides a slideshow of freely distributable frog pictures.

Comment 1 Matthias Saou 2007-02-13 18:36:57 UTC
You might want to add -p to the install lines, in order to preserve the original
file timestamps between rebuilds.
Also, I see no point in having the %{?dist} tag for this 6MB noarch package, as
it would be better to hardlink it across Fedora releases.

Oh, and... is this package for real? :-)
If it is, I'll take the time to look at it closer and do a proper review ;-)

Comment 2 Matthias Saou 2007-02-25 21:53:07 UTC
Hint 1 : In GNOME screensaver, you can select the "Pictures folder" screensaver,
which should allow you to trivially have a slideshow of all pictures in a given
directory, which should pretty much do what you want, without requiring an
entire package.

Hint 2 : The "Pictures folder" screensaver seems pretty broken and/or limited
since it doesn't seem to be configurable from the GUI, nor can one figure out
where the pictures should go in by default.

Comment 3 Tom "spot" Callaway 2007-05-24 17:59:43 UTC
So, yes, I'm for real. I'm aware of the Pictures folder, but I wanted to make
something so other people could get a set of Frog pictures as a screensaver.

This is freely redistributable content which enhances the Fedora user experience.

New SRPM:
http://people.redhat.com/tcallawa/gnome-screensaver-frogs/gnome-screensaver-frogs-0.2-1.fc7.src.rpm
New SPEC:
http://people.redhat.com/tcallawa/gnome-screensaver-frogs/gnome-screensaver-frogs.spec


Comment 5 Jason Tibbitts 2007-07-28 15:27:35 UTC
Is this one really being reviewed?  I see no comments from the person it's
assigned to.

Comment 6 Tom "spot" Callaway 2007-07-28 16:23:57 UTC
I'd really like a review on this. Should take about 12 seconds.

Comment 7 manuel wolfshant 2007-07-29 20:40:43 UTC
- rpmlint checks return: 
# rpmlint ~/gnome-screensaver-frogs-0.2-2.src.rpm
W: gnome-screensaver-frogs invalid-license CC Attribution 2.0/CC
Attribution-ShareAlike 2.0/Public Domain
# rpmlint
/home/wolfy/reports/gnome-screensaver-frogs/gnome-screensaver-frogs-0.2-2.noarch.rpm
W: gnome-screensaver-frogs invalid-license CC Attribution 2.0/CC
Attribution-ShareAlike 2.0/Public Domain
It's the first time I see several licenses listed in the License tag, but since
all of them are GPL compatible and you are the expert in this area, I'll trust you.
- package meets naming guidelines
- package meets packaging guidelines
- license (CC Attribution 2.0/CC Attribution-ShareAlike 2.0/Public Domain ) OK,
text in %doc, matches source, full list of files + corresponding licenses included
- spec file legible, in am. english
- source matches upstream
- nothing to compile, the package is just a collection of pictures
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok [*]
- %clean ok
- macro use consistent
- only content (pictures)
- no need for -docs
- nothing in %doc affects runtime
- the included .desktop file is installed under the gnome screenserver hierarchy

Note: 
[*] I would have preferred %defaultattr(-,root,root,-)


APPROVED

Comment 8 Lubomir Kundrak 2007-07-30 09:40:49 UTC
I apologize for not reviewing the package for such long time. This is a really
big and complex package that's why it took so long for me.

What was not clear to me was the copyright/license for each of the the photos.
It is not clear who authored which picture, and what is the copying policy
for it.

Second one was kind of a "pseudo-security" issue -- I haven't look at it yet,
but are you sure none of the pictures contain EXIF thumbnail of an uncropped 
or unprocessed photo?

Comment 9 Tom "spot" Callaway 2007-07-30 12:01:10 UTC
There's a README file, which lists the copyright/license for each of the photos,
and the author.

As to the EXIF thumbnail, I didn't even think to check. I'll do that before
committing.

Comment 10 Tom "spot" Callaway 2007-08-01 19:25:49 UTC
One of the pictures did have a "PreviewImage" on it, but it was easy enough to
remove.

Did my own CVS for this package:

Package Name: gnome-screensaver-frogs
Short Description: GNOME Screensaver Slideshow of Frogs
Owners: tcallawa@redhat.com
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 

Built too.


Note You need to log in before you can comment on or make changes to this bug.